POST /import/shotgun/errors

Create a new Shotgun import error record. The error event data should be provided in the JSON body.

application/json

Body Required

  • error string

    Error message

  • details object

    Additional error details

Responses

  • 201 application/json

    Import error created successfully

    Hide response attributes Show response attributes object
    • id string(uuid)

      Import error unique identifier

    • source string

      Source of the import error

    • event_data object

      Error event data

    • created_at string(date-time)

      Creation timestamp

  • 400

    Invalid request body

POST /import/shotgun/errors
curl -X POST "http://api.example.com/import/shotgun/errors" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "error": "Failed to import asset",
  "details": {
    "shotgun_id": 12345,
    "reason": "Missing required field"
  }
}'
import requests

url = "http://api.example.com/import/shotgun/errors"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "error": "Failed to import asset",
    "details": {
        "shotgun_id": 12345,
        "reason": "Missing required field"
    }
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/import/shotgun/errors' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"error":"Failed to import asset","details":{"reason":"Missing required field","shotgun_id":12345}}'
Request example
{
  "error": "Failed to import asset",
  "details": {
    "reason": "Missing required field",
    "shotgun_id": 12345
  }
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "source": "shotgun",
  "event_data": {
    "error": "Failed to import asset"
  },
  "created_at": "2024-01-15T10:30:00Z"
}